﻿using System;
using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 수입
    /// </summary>
    public class Revenue
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 국가 배열
        /// </summary>
        private static string[] _countrArray = new string[] { "한국", "미국", "중국", "러시아", "인도" };

        /// <summary>
        /// 분야 배열
        /// </summary>
        private static string[] _categoryArray = new string[] { "영화", "게임", "출판", "패션" };

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 국가 - Country

        /// <summary>
        /// 국가
        /// </summary>
        public string Country { get; set; }

        #endregion
        #region 분야 - Category

        /// <summary>
        /// 분야
        /// </summary>
        public string Category { get; set; }

        #endregion
        #region 금액 - Amount

        /// <summary>
        /// 금액
        /// </summary>
        public decimal Amount { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 리스트 구하기 - GetList(count)

        /// <summary>
        /// 리스트 구하기
        /// </summary>
        /// <param name="count">카운트</param>
        /// <returns>리스트</returns>
        public static List<Revenue> GetList(int count)
        {
            Random random = new Random(DateTime.Now.Millisecond);

            List<Revenue> list = new List<Revenue>();

            for(int i = 0; i < count; i++)
            {
                list.Add
                (
                    new Revenue
                    {
                        Country  = _countrArray[random.Next(0, 4)],
                        Category = _categoryArray[random.Next(0, 3)],
                        Amount   = random.Next(500, 5000)
                    }
                );
            }

            return list;
        }

        #endregion
    }
}